# Makefile.in generated by automake 1.9.5 from Makefile.am.
# test/unit/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SOURCES = $(MemTracerTest_SOURCES) $(exitWithSignal_SOURCES) $(unitMain_SOURCES)

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/openwbem
pkglibdir = $(libdir)/openwbem
pkgincludedir = $(includedir)/openwbem
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o pbulk -g users
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv6--netbsdelf-eabihf
host_triplet = armv6--netbsdelf-eabihf
check_PROGRAMS = unitMain$(EXEEXT) $(am__EXEEXT_1)
subdir = test/unit
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = MemTracerTest$(EXEEXT) \
	unitMain$(EXEEXT) \
	exitWithSignal$(EXEEXT)
am_MemTracerTest_OBJECTS = MemTracerTest.$(OBJEXT)
MemTracerTest_OBJECTS = $(am_MemTracerTest_OBJECTS)
am__DEPENDENCIES_1 =
MemTracerTest_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_exitWithSignal_OBJECTS = exitWithSignal.$(OBJEXT)
exitWithSignal_OBJECTS = $(am_exitWithSignal_OBJECTS)
exitWithSignal_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_unitMain_OBJECTS = ThreadOnceTestCases.$(OBJEXT) \
	CryptographicRandomNumberTestCases.$(OBJEXT) \
	CIMObjectPathTestCases.$(OBJEXT) \
	CIMRepository2TestCases.$(OBJEXT) \
	CmdLineParserTestCases.$(OBJEXT) \
	COWIntrusiveReferenceTestCases.$(OBJEXT) \
	MOFCompilerTestCases.$(OBJEXT) \
	OperationContextTestCases.$(OBJEXT) \
	OW_Base64TestCases.$(OBJEXT) \
	OW_BinarySerializationTestCases.$(OBJEXT) \
	OW_CIMClassTestCases.$(OBJEXT) \
	OW_CIMDateTimeTestCases.$(OBJEXT) \
	OW_CIMInstanceTestCases.$(OBJEXT) \
	OW_CIMPropertyTestCases.$(OBJEXT) OW_CIMUrlTestCases.$(OBJEXT) \
	OW_CIMValueTestCases.$(OBJEXT) OW_DateTimeTestCases.$(OBJEXT) \
	OW_EnumerationTestCases.$(OBJEXT) \
	OW_ExceptionTestCases.$(OBJEXT) OW_ExecTestCases.$(OBJEXT) \
	OW_FileSystemTestCases.$(OBJEXT) OW_FormatTestCases.$(OBJEXT) \
	OW_HTTPChunkerTestCases.$(OBJEXT) \
	OW_HTTPUtilsTestCases.$(OBJEXT) \
	OW_InetAddressTestCases.$(OBJEXT) \
	OW_LinuxSharedLibraryLoaderTestCases.$(OBJEXT) \
	OW_ListenerAuthenticatorTestCases.$(OBJEXT) \
	OW_LoggerTestCases.$(OBJEXT) OW_MD5TestCases.$(OBJEXT) \
	OW_MemTracerTestCases.$(OBJEXT) OW_MutexTestCases.$(OBJEXT) \
	OW_ProviderManagerTestCases.$(OBJEXT) \
	OW_ProviderMuxLoaderTestCases.$(OBJEXT) \
	OW_ProviderMuxTestCases.$(OBJEXT) \
	OW_RandomNumberTestCases.$(OBJEXT) \
	OW_ReferenceTestCases.$(OBJEXT) OW_RWLockerTestCases.$(OBJEXT) \
	OW_SharedLibraryLoaderTestCases.$(OBJEXT) \
	OW_SharedLibraryTestCases.$(OBJEXT) \
	OW_SocketUtilsTestCases.$(OBJEXT) \
	OW_StackTraceTestCases.$(OBJEXT) \
	OW_StringArrayPropertyTestCases.$(OBJEXT) \
	OW_StringStreamTestCases.$(OBJEXT) \
	OW_StringTestCases.$(OBJEXT) \
	OW_ThreadBarrierTestCases.$(OBJEXT) \
	OW_ThreadPoolTestCases.$(OBJEXT) OW_ThreadTestCases.$(OBJEXT) \
	OW_UTF8UtilsTestCases.$(OBJEXT) OW_UUIDTestCases.$(OBJEXT) \
	OW_XMLEscapeTestCases.$(OBJEXT) \
	OW_XMLUnescapeTestCases.$(OBJEXT) URLTestCases.$(OBJEXT) \
	UnitMain.$(OBJEXT) UnitTestEnvironment.$(OBJEXT)
unitMain_OBJECTS = $(am_unitMain_OBJECTS)
unitMain_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(MemTracerTest_SOURCES) $(exitWithSignal_SOURCES) \
	$(unitMain_SOURCES)
DIST_SOURCES = $(MemTracerTest_SOURCES) $(exitWithSignal_SOURCES) \
	$(unitMain_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run aclocal-1.9
AIX = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run tar
AR = $(shell pwd)/$(top_srcdir)/ow_ar.sh /usr/bin/ar --
AUTOCONF = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run automake-1.9
AWK = /usr/bin/awk
BINLINKAPPENDFLAGS = 
CBINLINKFLAGS =    -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -fPIC -D_REENTRANT -pipe -pthread -D_POSIX_PTHREAD_SEMANTICS -DNDEBUG -O3 -fno-web
CLINK = gcc
CPP = gcc -E
CPPFLAGS = -I/usr/include -I/usr/pkg/include
CURRENT_LINK_MODE_FLAGS = 
CXX = c++
CXXBINLINKFLAGS = -pthread  -Wl,-Bdynamic -Wl,-E -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib  -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CXXBUNDLELIBLINKFLAGS = 
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fno-enforce-eh-specs -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -fPIC -D_REENTRANT -pipe -pthread -D_POSIX_PTHREAD_SEMANTICS -DNDEBUG -O3
CXXLINK = c++
CXXSHAREDLIBLINKFLAGS = -pthread -shared -fPIC -Wl,-soname -Wl,$@.$(LIBRARY_BINARY_VERSION) -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISABLE_ASSOCIATION_TRAVERSAL_FALSE = 
DISABLE_ASSOCIATION_TRAVERSAL_TRUE = #
DISABLE_DIGEST_FALSE = 
DISABLE_DIGEST_TRUE = #
DISABLE_INSTANCE_MANIPULATION_FALSE = 
DISABLE_INSTANCE_MANIPULATION_TRUE = #
DISABLE_NAMESPACE_MANIPULATION_FALSE = 
DISABLE_NAMESPACE_MANIPULATION_TRUE = #
DISABLE_PROPERTY_OPERATIONS_FALSE = 
DISABLE_PROPERTY_OPERATIONS_TRUE = #
DISABLE_QUALIFIER_DECLARATION_FALSE = 
DISABLE_QUALIFIER_DECLARATION_TRUE = #
DISABLE_SCHEMA_MANIPULATION_FALSE = 
DISABLE_SCHEMA_MANIPULATION_TRUE = #
DL_LIB = 
DYNAMIC_EXPORT_FLAG = 
DYNAMIC_LINK_FLAGS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_CMPI_FALSE = #
ENABLE_CMPI_TRUE = 
ENABLE_DB4_REPOSITORY_FALSE = 
ENABLE_DB4_REPOSITORY_TRUE = #
EXEEXT = 
FALSE_PATHNAME = false
HAVE_FLEX_FALSE = #
HAVE_FLEX_TRUE = 
HAVE_PERL_EMBED_FALSE = 
HAVE_PERL_EMBED_TRUE = #
HAVE_SLP_FALSE = 
HAVE_SLP_TRUE = #
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = 
LIB_EXT = so
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = /tmp/pkgbuild/net/openwbem/work.earmv6hf/.tools/bin/makeinfo
MV = /bin/mv
OBJEXT = o
OPENWBEM_LIBRARY_VERSION = 4
OPENWBEM_MAJOR_VERSION = 3
OPENWBEM_MICRO_VERSION = 2
OPENWBEM_MINOR_VERSION = 2
OPENWBEM_VERSION = 3.2.2
OW_NETWARE_INSTALL_FALSE = 
OW_NETWARE_INSTALL_TRUE = #
OW_STATIC_LINKING_FALSE = 
OW_STATIC_LINKING_TRUE = #
PACKAGE = openwbem
PACKAGE_BUGREPORT = openwbem-public@lists.sourceforge.net
PACKAGE_NAME = OpenWBEM
PACKAGE_PREFIX = 
PACKAGE_PREFIX_D = 
PACKAGE_STRING = OpenWBEM 3.2.2
PACKAGE_TARNAME = openwbem
PACKAGE_VERSION = 3.2.2
PAM_LIB = -lpam
PATH_SEPARATOR = :
PERL = /tmp/pkgbuild/net/openwbem/work.earmv6hf/.tools/bin/perl
PIDFILE_DIR = /var/run
RANLIB = ranlib
RM = /bin/rm
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SLP_LIB = 
SSL_LIBS = -lssl -lcrypto
STATIC_LINK_FLAGS = 
STATIC_SERVICES = 
STRIP = 
TRUE_PATHNAME = true
USE_AIX_AUTHENTICATE_FALSE = 
USE_AIX_AUTHENTICATE_TRUE = #
USE_PAM_FALSE = #
USE_PAM_TRUE = 
VERSION = 3.2.2
YACC = yacc
Z_LIBS = -lz
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = armv6--netbsdelf-eabihf
build_alias = armv6--netbsdelf-eabihf
build_cpu = armv6
build_os = netbsdelf-eabihf
build_vendor = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv6--netbsdelf-eabihf
host_alias = armv6--netbsdelf-eabihf
host_cpu = armv6
host_os = netbsdelf-eabihf
host_vendor = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(install_sh) -d
oldincludedir = /usr/include
perl_archlibexp = 
perl_embed_ccflags = 
perl_embed_ldflags = 
perl_privlibexp = 
perl_useshrplib = 
prefix = /usr/pkg
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
PROGS = MemTracerTest unitMain exitWithSignal
#PROGS = 
#PROGS = 
#PROGS = 
#PROGS = 
MemTracerTest_LDADD = \
-L$(top_builddir)/src/common -lopenwbem \
-L$(top_builddir)/src/ -lopenwbem  \
$(SSL_LIBS) \
$(BINLINKAPPENDFLAGS)

MemTracerTest_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o MemTracerTest$(EXEEXT)

MemTracerTest_SOURCES = \
MemTracerTest.cpp

# Note: Do not change the following line, unless you also update the newtest.sh script
unitMain_SOURCES = \
ThreadOnceTestCases.cpp \
ThreadOnceTestCases.hpp \
CryptographicRandomNumberTestCases.cpp \
CryptographicRandomNumberTestCases.hpp \
CIMObjectPathTestCases.cpp \
CIMObjectPathTestCases.hpp \
CIMRepository2TestCases.cpp \
CIMRepository2TestCases.hpp \
CmdLineParserTestCases.cpp \
CmdLineParserTestCases.hpp \
COWIntrusiveReferenceTestCases.cpp \
COWIntrusiveReferenceTestCases.hpp \
MOFCompilerTestCases.cpp \
MOFCompilerTestCases.hpp \
OperationContextTestCases.cpp \
OperationContextTestCases.hpp \
OW_Base64TestCases.cpp \
OW_Base64TestCases.hpp \
OW_BinarySerializationTestCases.cpp \
OW_BinarySerializationTestCases.hpp \
OW_CIMClassTestCases.cpp \
OW_CIMClassTestCases.hpp \
OW_CIMDateTimeTestCases.cpp \
OW_CIMDateTimeTestCases.hpp \
OW_CIMInstanceTestCases.cpp \
OW_CIMInstanceTestCases.hpp \
OW_CIMPropertyTestCases.cpp \
OW_CIMPropertyTestCases.hpp \
OW_CIMUrlTestCases.cpp \
OW_CIMUrlTestCases.hpp \
OW_CIMValueTestCases.cpp \
OW_CIMValueTestCases.hpp \
OW_DateTimeTestCases.cpp \
OW_DateTimeTestCases.hpp \
OW_EnumerationTestCases.cpp \
OW_EnumerationTestCases.hpp \
OW_ExceptionTestCases.cpp \
OW_ExceptionTestCases.hpp \
OW_ExecTestCases.cpp \
OW_ExecTestCases.hpp \
OW_FileSystemTestCases.cpp \
OW_FileSystemTestCases.hpp \
OW_FormatTestCases.cpp \
OW_FormatTestCases.hpp \
OW_HTTPChunkerTestCases.cpp \
OW_HTTPChunkerTestCases.hpp \
OW_HTTPUtilsTestCases.cpp \
OW_HTTPUtilsTestCases.hpp \
OW_InetAddressTestCases.cpp \
OW_InetAddressTestCases.hpp \
OW_LinuxSharedLibraryLoaderTestCases.cpp \
OW_LinuxSharedLibraryLoaderTestCases.hpp \
OW_ListenerAuthenticatorTestCases.cpp \
OW_ListenerAuthenticatorTestCases.hpp \
OW_LoggerTestCases.cpp \
OW_LoggerTestCases.hpp \
OW_MD5TestCases.cpp \
OW_MD5TestCases.hpp \
OW_MemTracerTestCases.cpp \
OW_MemTracerTestCases.hpp \
OW_MutexTestCases.cpp \
OW_MutexTestCases.hpp \
OW_ProviderManagerTestCases.cpp \
OW_ProviderManagerTestCases.hpp \
OW_ProviderMuxLoaderTestCases.cpp \
OW_ProviderMuxLoaderTestCases.hpp \
OW_ProviderMuxTestCases.cpp \
OW_ProviderMuxTestCases.hpp \
OW_RandomNumberTestCases.cpp \
OW_RandomNumberTestCases.hpp \
OW_ReferenceTestCases.cpp \
OW_ReferenceTestCases.hpp \
OW_RWLockerTestCases.cpp \
OW_RWLockerTestCases.hpp \
OW_SharedLibraryLoaderTestCases.cpp \
OW_SharedLibraryLoaderTestCases.hpp \
OW_SharedLibraryTestCases.cpp \
OW_SharedLibraryTestCases.hpp \
OW_SocketUtilsTestCases.cpp \
OW_SocketUtilsTestCases.hpp \
OW_StackTraceTestCases.cpp \
OW_StackTraceTestCases.hpp \
OW_StringArrayPropertyTestCases.cpp \
OW_StringArrayPropertyTestCases.hpp \
OW_StringStreamTestCases.cpp \
OW_StringStreamTestCases.hpp \
OW_StringTestCases.cpp \
OW_StringTestCases.hpp \
OW_ThreadBarrierTestCases.cpp \
OW_ThreadBarrierTestCases.hpp \
OW_ThreadPoolTestCases.cpp \
OW_ThreadPoolTestCases.hpp \
OW_ThreadTestCases.cpp \
OW_ThreadTestCases.hpp \
OW_UTF8UtilsTestCases.cpp \
OW_UTF8UtilsTestCases.hpp \
OW_UUIDTestCases.cpp \
OW_UUIDTestCases.hpp \
OW_XMLEscapeTestCases.cpp \
OW_XMLEscapeTestCases.hpp \
OW_XMLUnescapeTestCases.cpp \
OW_XMLUnescapeTestCases.hpp \
URLTestCases.cpp \
URLTestCases.hpp \
testSharedLibraryLoader.hpp \
UnitMain.cpp \
UnitTestEnvironment.cpp \
UnitTestEnvironment.hpp

INCLUDES = \
-I$(top_srcdir)/test/CppUnit \
-I$(top_srcdir)/src/common \
-I$(top_srcdir)/src/http/common \
-I$(top_srcdir)/src/common/socket \
-I$(top_srcdir)/src/provider \
-I$(top_srcdir)/src/providerifcs/cpp \
-I$(top_srcdir)/src/cimom/server \
-I$(top_srcdir)/src/cimom/common \
-I$(top_srcdir)/src/cim \
-I$(top_srcdir)/src/ifcs \
-I$(top_srcdir)/src/xml \
-I$(top_srcdir)/src/cimxmllistener \
-I$(top_srcdir)/src/client \
-I$(top_srcdir)/src/mof \
-I$(top_srcdir)/src/repositories/tdbcr

REPLIBFLAGS = 
#REPLIBFLAGS = -L$(top_builddir)/src/repositories/tdbcr -lowrepositorytdbcr
unitMain_LDADD = \
-L$(top_builddir)/test/CppUnit -lCppUnit \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/cimxmllistener -lowhttpxmllistener \
-L$(top_builddir)/src/services/http -lowservicehttp \
-L$(top_builddir)/src/mof -lowmofc \
-L$(top_builddir)/src/cimom/common -lowcimomcommon \
-L$(top_builddir)/src/cimom/server -lowserver \
-L$(top_builddir)/src/repositories/hdb -lowrepositoryhdb \
-L$(top_builddir)/db/db -lowdb \
-L$(top_builddir)/src/providerifcs/cpp -lowcppprovifc \
$(REPLIBFLAGS) \
-L$(top_builddir)/src/provider -lowprovider \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

unitMain_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o unitMain$(EXEEXT)

check_SCRIPTS = run_make_check.sh
EXTRA_DIST = $(check_SCRIPTS)
TESTS = run_make_check.sh
exitWithSignal_LDADD = \
$(BINLINKAPPENDFLAGS)

exitWithSignal_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o exitWithSignal$(EXEEXT)

exitWithSignal_SOURCES = \
exitWithSignal.cpp

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  test/unit/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  test/unit/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-checkPROGRAMS:
	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
MemTracerTest$(EXEEXT): $(MemTracerTest_OBJECTS) $(MemTracerTest_DEPENDENCIES) 
	@rm -f MemTracerTest$(EXEEXT)
	$(CXXLINK) $(MemTracerTest_LDFLAGS) $(MemTracerTest_OBJECTS) $(MemTracerTest_LDADD) $(LIBS)
exitWithSignal$(EXEEXT): $(exitWithSignal_OBJECTS) $(exitWithSignal_DEPENDENCIES) 
	@rm -f exitWithSignal$(EXEEXT)
	$(CXXLINK) $(exitWithSignal_LDFLAGS) $(exitWithSignal_OBJECTS) $(exitWithSignal_LDADD) $(LIBS)
unitMain$(EXEEXT): $(unitMain_OBJECTS) $(unitMain_DEPENDENCIES) 
	@rm -f unitMain$(EXEEXT)
	$(CXXLINK) $(unitMain_LDFLAGS) $(unitMain_OBJECTS) $(unitMain_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/CIMObjectPathTestCases.Po
include ./$(DEPDIR)/CIMRepository2TestCases.Po
include ./$(DEPDIR)/COWIntrusiveReferenceTestCases.Po
include ./$(DEPDIR)/CmdLineParserTestCases.Po
include ./$(DEPDIR)/CryptographicRandomNumberTestCases.Po
include ./$(DEPDIR)/MOFCompilerTestCases.Po
include ./$(DEPDIR)/MemTracerTest.Po
include ./$(DEPDIR)/OW_Base64TestCases.Po
include ./$(DEPDIR)/OW_BinarySerializationTestCases.Po
include ./$(DEPDIR)/OW_CIMClassTestCases.Po
include ./$(DEPDIR)/OW_CIMDateTimeTestCases.Po
include ./$(DEPDIR)/OW_CIMInstanceTestCases.Po
include ./$(DEPDIR)/OW_CIMPropertyTestCases.Po
include ./$(DEPDIR)/OW_CIMUrlTestCases.Po
include ./$(DEPDIR)/OW_CIMValueTestCases.Po
include ./$(DEPDIR)/OW_DateTimeTestCases.Po
include ./$(DEPDIR)/OW_EnumerationTestCases.Po
include ./$(DEPDIR)/OW_ExceptionTestCases.Po
include ./$(DEPDIR)/OW_ExecTestCases.Po
include ./$(DEPDIR)/OW_FileSystemTestCases.Po
include ./$(DEPDIR)/OW_FormatTestCases.Po
include ./$(DEPDIR)/OW_HTTPChunkerTestCases.Po
include ./$(DEPDIR)/OW_HTTPUtilsTestCases.Po
include ./$(DEPDIR)/OW_InetAddressTestCases.Po
include ./$(DEPDIR)/OW_LinuxSharedLibraryLoaderTestCases.Po
include ./$(DEPDIR)/OW_ListenerAuthenticatorTestCases.Po
include ./$(DEPDIR)/OW_LoggerTestCases.Po
include ./$(DEPDIR)/OW_MD5TestCases.Po
include ./$(DEPDIR)/OW_MemTracerTestCases.Po
include ./$(DEPDIR)/OW_MutexTestCases.Po
include ./$(DEPDIR)/OW_ProviderManagerTestCases.Po
include ./$(DEPDIR)/OW_ProviderMuxLoaderTestCases.Po
include ./$(DEPDIR)/OW_ProviderMuxTestCases.Po
include ./$(DEPDIR)/OW_RWLockerTestCases.Po
include ./$(DEPDIR)/OW_RandomNumberTestCases.Po
include ./$(DEPDIR)/OW_ReferenceTestCases.Po
include ./$(DEPDIR)/OW_SharedLibraryLoaderTestCases.Po
include ./$(DEPDIR)/OW_SharedLibraryTestCases.Po
include ./$(DEPDIR)/OW_SocketUtilsTestCases.Po
include ./$(DEPDIR)/OW_StackTraceTestCases.Po
include ./$(DEPDIR)/OW_StringArrayPropertyTestCases.Po
include ./$(DEPDIR)/OW_StringStreamTestCases.Po
include ./$(DEPDIR)/OW_StringTestCases.Po
include ./$(DEPDIR)/OW_ThreadBarrierTestCases.Po
include ./$(DEPDIR)/OW_ThreadPoolTestCases.Po
include ./$(DEPDIR)/OW_ThreadTestCases.Po
include ./$(DEPDIR)/OW_UTF8UtilsTestCases.Po
include ./$(DEPDIR)/OW_UUIDTestCases.Po
include ./$(DEPDIR)/OW_XMLEscapeTestCases.Po
include ./$(DEPDIR)/OW_XMLUnescapeTestCases.Po
include ./$(DEPDIR)/OperationContextTestCases.Po
include ./$(DEPDIR)/ThreadOnceTestCases.Po
include ./$(DEPDIR)/URLTestCases.Po
include ./$(DEPDIR)/UnitMain.Po
include ./$(DEPDIR)/UnitTestEnvironment.Po
include ./$(DEPDIR)/exitWithSignal.Po

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
	clean-checkPROGRAMS clean-generic ctags distclean \
	distclean-compile distclean-generic distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
